JUCE: OnlineUnlockStatus::MachineIDUtilities Struct Reference

JUCE

Static Public Member Functions | List of all members
OnlineUnlockStatus::MachineIDUtilities Struct Reference
juce_product_unlocking » marketplace

This class contains some utility functions that might help with machine ID generation. More...

`#include <juce_OnlineUnlockStatus.h>`

## Static Public Member Functions
static char | getPlatformPrefix ()
| Returns a character that represents the current OS. More...
static String | getEncodedIDString (const String &inputString)
| Returns an encoded hash string from the given input string, prefixing it with a letter to represent the current OS type. More...
static bool | addFileIDToList (StringArray &result, const File &file)
| Utility function that you may want to use in your machine-ID generation code. More...
static void | addMACAddressesToList (StringArray &result)
| Utility function that you may want to use in your machine-ID generation code. More...
static StringArray | getLocalMachineIDs ()
| This method calculates some machine IDs based on things like network MAC addresses, hard-disk IDs, etc, but if you want, you can overload it to generate your own list of IDs. More...

## Detailed Description

This class contains some utility functions that might help with machine ID generation.

## Member Function Documentation

## ◆ getPlatformPrefix()

static char OnlineUnlockStatus::MachineIDUtilities::getPlatformPrefix | ( |  | ) |
| static

Returns a character that represents the current OS.

E.g. 'M' for Mac, 'W' for windows, etc

## ◆ getEncodedIDString()

static String OnlineUnlockStatus::MachineIDUtilities::getEncodedIDString | ( | const String & | inputString | ) |
| static

Returns an encoded hash string from the given input string, prefixing it with a letter to represent the current OS type.

## ◆ addFileIDToList()

static bool OnlineUnlockStatus::MachineIDUtilities::addFileIDToList | ( | StringArray & | result,
|  | const File & | file
| ) |  |
| static

Utility function that you may want to use in your machine-ID generation code.

This adds an ID string to the given array which is a hash of the filesystem ID of the given file.

## ◆ addMACAddressesToList()

static void OnlineUnlockStatus::MachineIDUtilities::addMACAddressesToList | ( | StringArray & | result | ) |
| static

Utility function that you may want to use in your machine-ID generation code.

This adds some ID strings to the given array which represent each MAC address of the machine.

## ◆ getLocalMachineIDs()

static StringArray OnlineUnlockStatus::MachineIDUtilities::getLocalMachineIDs | ( |  | ) |
| static

This method calculates some machine IDs based on things like network MAC addresses, hard-disk IDs, etc, but if you want, you can overload it to generate your own list of IDs.

The IDs that are returned should be short alphanumeric strings without any punctuation characters. Since users may need to type them, case is ignored when comparing them.

Note that the first item in the list is considered to be the "main" ID, and this will be the one that is displayed to the user and registered with the marketplace webserver. Subsequent IDs are just used as fallback to avoid false negatives when checking for registration on machines which have had hardware added/removed since the product was first registered.

The documentation for this struct was generated from the following file:

- juce_OnlineUnlockStatus.h